execution:
    uuid: 5625d7c3-5270-4fee-a5e3-794e5ac988f4
    runtime:
        start: 2023-05-16T23:39:54.216294-04:00
        end: 2023-05-16T23:39:55.444008-04:00
        duration: 1 second, and 227714 microseconds

action:
    type: visualizer
    plugin: !ref 'environment:plugins:taxa'
    action: barplot
    inputs:
    -   table: ed5373b7-e1e9-41fd-ba4d-f8d0d14afdbc
    -   taxonomy: d0d355fb-495c-45f1-ad26-438d5bc3d44b
    parameters:
    -   metadata: !metadata 'metadata.tsv'
    output-name: visualization

transformers:
    inputs:
        table:
        -   from: BIOMV210DirFmt
            to: biom.table:Table
            plugin: !ref 'environment:plugins:types'
            citations:
            - !cite 'view|types:2023.2.0|BIOMV210DirFmt|0'
            - !cite 'view|types:2023.2.0|biom.table:Table|0'
        taxonomy:
        -   from: TSVTaxonomyDirectoryFormat
            to: pandas.core.series:Series
            plugin: !ref 'environment:plugins:types'
            citations:
            - !cite 'view|types:2023.2.0|pandas.core.series:Series|0'

environment:
    platform: linux-x86_64
    python: |-
        3.8.15 | packaged by conda-forge | (default, Nov 22 2022, 08:46:39)
        [GCC 10.4.0]
    framework:
        version: 2023.2.0
        website: https://qiime2.org
        citations:
        - !cite 'framework|qiime2:2023.2.0|0'
    plugins:
        types:
            version: 2023.2.0
            website: https://github.com/qiime2/q2-types
        taxa:
            version: 2023.2.0
            website: https://github.com/qiime2/q2-taxa
    python-packages:
        CacheControl: 0.12.11
        Cython: 0.29.33
        DendroPy: 4.5.2
        Jinja2: 3.1.2
        MarkupSafe: 2.1.2
        Pillow: 9.2.0
        PyQt5: 5.15.7
        PyQt5-sip: 12.11.0
        PySocks: 1.7.1
        PyYAML: '6.0'
        Pygments: 2.14.0
        Send2Trash: 1.8.0
        altair: 4.2.2
        anyio: 3.6.2
        argcomplete: 2.0.0
        argon2-cffi: 21.3.0
        argon2-cffi-bindings: 21.2.0
        astor: 0.8.1
        asttokens: 2.2.1
        atpublic: 3.0.1
        attrs: 22.2.0
        backcall: 0.2.0
        backports.functools-lru-cache: 1.6.4
        beautifulsoup4: 4.11.2
        bibtexparser: 1.4.0
        biom-format: 2.1.12
        bleach: 6.0.0
        bokeh: 3.0.3
        brotlipy: 0.7.0
        cached-property: 1.5.2
        certifi: 2022.12.7
        cffi: 1.15.1
        charset-normalizer: 2.1.1
        click: 8.1.3
        colorama: 0.4.6
        comm: 0.1.2
        contourpy: 1.0.7
        cryptography: 39.0.0
        cutadapt: '4.2'
        cycler: 0.11.0
        deblur: 1.1.1
        debugpy: 1.6.6
        decorator: 4.4.2
        defusedxml: 0.7.1
        dill: 0.3.6
        dnaio: 0.10.0
        emperor: 1.0.3
        entrypoints: '0.4'
        exceptiongroup: 1.1.0
        executing: 1.2.0
        fastcluster: 1.2.6
        fastjsonschema: 2.16.3
        flit-core: 3.8.0
        flufl.lock: '7.1'
        fonttools: 4.38.0
        formulaic: 0.5.2
        future: 0.18.3
        gneiss: 0.4.6
        graphlib-backport: 1.0.3
        h5py: 2.10.0
        hdmedians: 0.14.2
        idna: '3.4'
        ijson: 3.2.0.post0
        importlib-metadata: 4.8.3
        importlib-resources: 5.12.0
        iniconfig: 2.0.0
        interface-meta: 1.3.0
        iow: 1.0.5
        ipykernel: 6.21.2
        ipython: 8.10.0
        ipython-genutils: 0.2.0
        ipywidgets: 8.0.4
        isal: 1.1.0
        jedi: 0.18.2
        joblib: 1.2.0
        jsonschema: 4.17.3
        jupyter-client: 8.0.3
        jupyter-core: 5.2.0
        jupyter-events: 0.6.3
        jupyter-server: 2.3.0
        jupyter-server-terminals: 0.4.4
        jupyterlab-pygments: 0.2.2
        jupyterlab-widgets: 3.0.5
        kiwisolver: 1.4.4
        llvmlite: 0.39.1
        lockfile: 0.12.2
        lxml: 4.9.2
        lz4: 4.3.2
        matplotlib: 3.6.0
        matplotlib-inline: 0.1.6
        mistune: 2.0.5
        msgpack: 1.0.4
        munkres: 1.1.4
        natsort: 8.3.0
        nbclassic: 0.5.2
        nbclient: 0.7.2
        nbconvert: 7.2.9
        nbformat: 5.7.3
        nest-asyncio: 1.5.6
        networkx: '3.0'
        nlopt: 2.7.1
        nose: 1.3.7
        notebook: 6.5.2
        notebook-shim: 0.2.2
        numba: 0.56.4
        numpy: 1.23.5
        packaging: '23.0'
        pandas: 1.5.3
        pandocfilters: 1.5.0
        parso: 0.8.3
        patsy: 0.5.3
        pexpect: 4.8.0
        pickleshare: 0.7.5
        pip: 23.0.1
        pkgutil-resolve-name: 1.3.10
        platformdirs: 3.0.0
        pluggy: 1.0.0
        ply: '3.11'
        prometheus-client: 0.16.0
        prompt-toolkit: 3.0.36
        psutil: 5.9.4
        ptyprocess: 0.7.0
        pure-eval: 0.2.2
        pyOpenSSL: 23.0.0
        pycparser: '2.21'
        pynndescent: 0.5.8
        pyparsing: 3.0.9
        pyrsistent: 0.19.3
        pytest: 7.2.1
        python-dateutil: 2.8.2
        python-json-logger: 2.0.7
        pytz: 2022.7.1
        pyzmq: 25.0.0
        q2-alignment: 2023.2.0
        q2-composition: 2023.2.0
        q2-cutadapt: 2023.2.0
        q2-dada2: 2023.2.0
        q2-deblur: 2023.2.0
        q2-demux: 2023.2.0
        q2-diversity: 2023.2.0
        q2-diversity-lib: 2023.2.0
        q2-emperor: 2023.2.0
        q2-feature-classifier: 2023.2.0
        q2-feature-table: 2023.2.0
        q2-fragment-insertion: 2023.2.0
        q2-gneiss: 2023.2.0
        q2-longitudinal: 2023.2.0
        q2-metadata: 2023.2.0
        q2-mystery-stew: 2023.2.0
        q2-phylogeny: 2023.2.0
        q2-quality-control: 2023.2.0
        q2-quality-filter: 2023.2.0
        q2-sample-classifier: 2023.2.0
        q2-taxa: 2023.2.0
        q2-types: 2023.2.0
        q2-vsearch: 2023.2.0
        q2cli: 2023.2.0
        q2galaxy: 2023.2.0
        q2templates: 2023.2.0
        qiime2: 2023.2.0
        requests: 2.28.2
        rfc3339-validator: 0.1.4
        rfc3986-validator: 0.1.1
        scikit-bio: 0.5.7
        scikit-learn: 0.24.1
        scipy: 1.8.1
        seaborn: 0.12.2
        sepp: 4.3.10
        setuptools: 67.4.0
        sip: 6.7.7
        six: 1.16.0
        sniffio: 1.3.0
        soupsieve: 2.3.2.post1
        stack-data: 0.6.2
        statsmodels: 0.13.5
        terminado: 0.17.1
        threadpoolctl: 3.1.0
        tinycss2: 1.2.1
        toml: 0.10.2
        tomli: 2.0.1
        toolz: 0.12.0
        tornado: '6.2'
        tqdm: 4.64.1
        traitlets: 5.9.0
        typing-extensions: 4.4.0
        tzlocal: '2.1'
        umap-learn: 0.5.3
        unicodedata2: 15.0.0
        unifrac: 1.0.0
        urllib3: 1.26.14
        wcwidth: 0.2.6
        webencodings: 0.5.1
        websocket-client: 1.5.1
        wheel: 0.38.4
        widgetsnbextension: 4.0.5
        wrapt: 1.15.0
        xmltodict: 0.13.0
        xopen: 1.7.0
        xyzservices: 2023.2.0
        yq: 3.1.1
        zipp: 3.15.0
        zstandard: 0.19.0
